<template>
    <slot :page="page" :podcasts="podcasts"></slot>
</template>

<script>
import {Set} from '../model.js';
import Sound from '../sound.js';
import APage from './APage.vue';

export default {
    extends: APage,

    data() {
        return {
            podcasts: new Set(Sound, {items:this.page.podcasts}),
        }
    },
}
</script>
